## josm 0.0.svn17428+dfsg

=== debian/changelog ===
josm (0.0.svn17428+dfsg-2) unstable; urgency=medium

  * Add upstream patch to fix Update Multipolygon function.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Dec 2020 12:47:17 +0100

josm (0.0.svn17428+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.5.1, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Dec 2020 20:33:45 +0100

josm (0.0.svn17329+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Nov 2020 10:22:57 +0100

josm (0.0.svn17329+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump watch file version to 4.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Nov 2020 05:55:43 +0100

josm (0.0.svn17084+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Oct 2020 15:19:27 +0200

josm (0.0.svn17013+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 16:43:44 +0200

josm (0.0.svn17013+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop missing-sources, JS files removed upstream.
  * Refresh patches.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 14:41:54 +0200
