## josm 0.0.svn18360%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                default-jdk (>= 2:1.9) | java9-sdk,
                ant,
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.14),
+               jmapviewer (>= 2.15),
                libcommons-compress-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
-               liboauth-signpost-java (>= 1.2),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
@@ -27,10 +26,9 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.14),
+         jmapviewer (>= 2.15),
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
-         liboauth-signpost-java (>= 1.2),
          openjfx,
          proj-data,
          ${misc:Depends}
