## josm 0.0.svn18360+dfsg

=== debian/changelog ===
josm (0.0.svn18360+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Jan 2022 08:42:36 +0100

josm (0.0.svn18303+dfsg-2) unstable; urgency=medium

  * Drop 03-default_look_and_feel.patch, doesn't work any more.
    (closes: #1000344)
  * Use Noto font in SVG files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Nov 2021 09:53:34 +0100

josm (0.0.svn18303+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Nov 2021 06:05:30 +0100

josm (0.0.svn18193+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Sep 2021 05:50:40 +0200

josm (0.0.svn18191+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Sep 2021 06:04:02 +0200

josm (0.0.svn18118+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 09:40:00 +0200

josm (0.0.svn18118+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Also extract com/kitfox & javax/annotation trees from source JAR.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Aug 2021 07:32:56 +0200

josm (0.0.svn18004+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Use embedded copy for signpost.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Jul 2021 08:30:26 +0200

josm (0.0.svn17919+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Jun 2021 06:07:00 +0200

josm (0.0.svn17915+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Add libjsr305-java to (build) dependencies for javax.annotation.Nullable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jun 2021 05:40:16 +0200

josm (0.0.svn17833+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Apr 2021 06:03:49 +0200

josm (0.0.svn17702+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Apr 2021 03:51:16 +0200

josm (0.0.svn17580+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.
  * Bump minimum required jmapviewer version to 2.15.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Mar 2021 06:27:30 +0100

josm (0.0.svn17560+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update upstream metadata.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Mar 2021 05:57:59 +0100
