=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar
+export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/jsr305.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
 SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
@@ -61,7 +61,8 @@
 	install -o root -g root -m 644 $(CURDIR)/native/linux/tested/usr/share/mime/packages/josm.xml $(CURDIR)/debian/josm/usr/share/mime/packages
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
+
 	# remove *.lang files, since we ship them in josm-l10n
 	rm -rf $(CURDIR)/debian/josm/usr/share/josm/data/*.lang
 	# remove executable bit
@@ -69,6 +70,8 @@
 	# remove empty directory
 	[ -z "$(ls ${IMGSTYLES_DIR} 2> /dev/null)" ] && rm -rf ${IMGSTYLES_DIR}
 	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/josm/usr/share/josm/data/security/
+	# check font in SVG files
+	sh $(CURDIR)/debian/images-check.sh
 
 get-orig-source:
 	dh_testdir
@@ -76,11 +79,11 @@
 	@echo Downloading josm from ${SVNREPO}
 	svn export -r ${SVNREV} ${SVNREPO} ${DESTDIR}
 	@echo Removing duplicated code
-	rm -rf ${DESTDIR}/src/com/google ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
+	rm -rf ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
 	@echo Downloading source JAR
 	wget https://josm.openstreetmap.de/download/josm-snapshot-${SVNREV}-sources.jar -O /tmp/josm-sources.jar
 	@echo Extracting sources from JAR
-	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew javax/json org/apache/commons/jcs org/glassfish org/tukaani && cd $$OLDPWD
+	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/glassfish org/tukaani && cd $$OLDPWD
 	cd ${DESTDIR}/resources && jar -xf /tmp/josm-sources.jar META-INF/resources/webjars/tag2link && cd $$OLDPWD
 	find ${DESTDIR}/resources/META-INF/resources/webjars/tag2link -type f -not -name index.json -delete
 	@echo Downloading xmpcore source JAR
