## josm 0.0.svn18531+dfsg

=== debian/changelog ===
josm (0.0.svn18531+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Aug 2022 15:15:47 +0200

josm (0.0.svn18530+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Remove Mònica Ramírez Arceda from Uploaders.
    (closes: #1015852)
  * Update i18n SVN repo URL.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Aug 2022 06:55:13 +0200

josm (0.0.svn18513+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jul 2022 07:33:25 +0200

josm (0.0.svn18511+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.6.1, no changes.
  * Refresh patches.
  * Add patch to fix bash path in josm launcher.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jul 2022 06:18:42 +0200

josm (0.0.svn18463+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Don't use JavaCC 5, JavaCC updated to 7.
  * Remove generated files from OpeningHoursParser tree.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 May 2022 17:16:51 +0200

josm (0.0.svn18427+dfsg-2) unstable; urgency=medium

  * Use JavaCC 5 to fix FTBFS with JavaCC 6.
    (closes: #1011131)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 May 2022 13:51:23 +0200

josm (0.0.svn18427+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Apr 2022 05:41:21 +0200

josm (0.0.svn18387+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.16.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 05:35:56 +0100
