=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: josm
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
-           Mònica Ramírez Arceda <monica@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
@@ -11,13 +10,13 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.15),
+               jmapviewer (>= 2.16),
                libcommons-compress-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
@@ -26,7 +25,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.15),
+         jmapviewer (>= 2.16),
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
          openjfx,
