## josm 0.0.svn18570+dfsg

=== debian/changelog ===
josm (0.0.svn18570+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Oct 2022 15:04:09 -0700

josm (0.0.svn18570+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Oct 2022 05:52:24 +0200

josm (0.0.svn18570+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Oct 2022 16:28:35 +0200

josm (0.0.svn18565+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Oct 2022 06:42:34 +0200

josm (0.0.svn18565+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Sep 2022 14:39:04 +0200

josm (0.0.svn18543+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Sep 2022 05:33:04 +0200

josm (0.0.svn18543+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Aug 2022 16:28:33 +0200

josm (0.0.svn18531+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2022 06:40:51 +0200

josm (0.0.svn18513+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2022 05:48:41 +0200

josm (0.0.svn18463+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 05 Jun 2022 06:30:53 +0200

josm (0.0.svn18427+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Apr 2022 06:48:45 +0200

josm (0.0.svn18387+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Mar 2022 06:48:21 +0100

josm (0.0.svn18360+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Jan 2022 07:55:27 +0100

josm (0.0.svn18303+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Nov 2021 07:00:43 +0100

josm (0.0.svn18303+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Nov 2021 19:46:50 +0100

josm (0.0.svn18193+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Sep 2021 07:04:18 +0200

josm (0.0.svn18118+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 07:11:42 +0200
