=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: josm
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: ant,
+               ant-contrib,
+               debhelper-compat (= 12),
                default-jdk (>= 2:1.9) | java9-sdk,
-               ant,
-               ant-contrib,
                gettext,
                javacc,
                jmapviewer (>= 2.16),
@@ -18,7 +19,7 @@
                openjfx
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b bullseye-backports
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
@@ -30,8 +31,8 @@
          libgettext-commons-java (>= 0.9.6),
          openjfx,
          proj-data,
-         ${misc:Depends}
-Recommends: josm-l10n (= ${source:Version})
+         ${misc:Depends},
+         josm-l10n (= ${source:Version})
 Conflicts: josm-plugins
 Description: Editor for OpenStreetMap
  JOSM is an editor for OpenStreetMap (OSM) written in Java.
