=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/jsr305.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
-SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
+SVNI18NREPO := https://josm.openstreetmap.de/osmsvn/applications/editors/josm/i18n
 
 DATE := $(shell date +%Y%m%d)
 ifdef SVNREV
@@ -84,6 +84,7 @@
 	wget https://josm.openstreetmap.de/download/josm-snapshot-${SVNREV}-sources.jar -O /tmp/josm-sources.jar
 	@echo Extracting sources from JAR
 	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/glassfish org/tukaani && cd $$OLDPWD
+	grep "Generated By:JavaCC:" ${DESTDIR}/src/ch/poole -r | cut -d: -f1 | sort -u | xargs rm -v
 	cd ${DESTDIR}/resources && jar -xf /tmp/josm-sources.jar META-INF/resources/webjars/tag2link && cd $$OLDPWD
 	find ${DESTDIR}/resources/META-INF/resources/webjars/tag2link -type f -not -name index.json -delete
 	@echo Downloading xmpcore source JAR
