## josm 0.0.svn18646%2Bdfsg

=== debian/changelog ===
josm (0.0.svn18646+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Feb 2023 13:08:12 +0100

josm (0.0.svn18646+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.6.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 08:09:19 +0100

josm (0.0.svn18622+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Jan 2023 05:31:43 +0100

josm (0.0.svn18622+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jan 2023 15:07:39 +0100

josm (0.0.svn18621+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Jan 2023 05:53:24 +0100

josm (0.0.svn18583+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2022 05:52:52 +0100

josm (0.0.svn18583+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Nov 2022 05:30:57 +0100
