## josm 0.0.svn18646+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: josm
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: ant,
+Build-Depends: debhelper-compat (= 12),
+               default-jdk (>= 2:1.9) | java9-sdk,
+               ant,
                ant-contrib,
-               debhelper-compat (= 12),
-               default-jdk (>= 2:1.9) | java9-sdk,
                gettext,
                javacc,
                jmapviewer (>= 2.16),
@@ -17,10 +16,11 @@
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
+Rules-Requires-Root: no
 
 Package: josm
 Architecture: all
@@ -31,8 +31,8 @@
          libgettext-commons-java (>= 0.9.6),
          openjfx,
          proj-data,
-         ${misc:Depends},
-         josm-l10n (= ${source:Version})
+         ${misc:Depends}
+Recommends: josm-l10n (= ${source:Version})
 Conflicts: josm-plugins
 Description: Editor for OpenStreetMap
  JOSM is an editor for OpenStreetMap (OSM) written in Java.
