## josm 0.0.svn18789+dfsg

=== debian/changelog ===
josm (0.0.svn18789+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright file.
  * Drop jakara-json-2.1.1.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Aug 2023 17:13:15 +0200

josm (0.0.svn18772+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2023 18:55:16 +0200

josm (0.0.svn18772+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump debhelper compat to 13.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2023 15:31:54 +0200

josm (0.0.svn18746+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 10:41:20 +0200

josm (0.0.svn18746+dfsg-1~exp3) experimental; urgency=medium

  * Exclude javax files when building JOSM.
  * Add service provider for jakarta.json.spi.JsonProvider.
  * Add org.eclipse sources for parsson.
  * Update jakarta.json to 2.1.2 for JsonConfig required by parsson.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Jun 2023 07:58:06 +0200

josm (0.0.svn18746+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to use javax.json instead of jakarta.json.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2023 12:06:01 +0200

josm (0.0.svn18746+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Also extract jakarta/json from upstream source JAR.
  * Update copyright file.
  * Exclude jakarta from COTS build.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2023 05:52:38 +0200

josm (0.0.svn18721+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 May 2023 16:35:25 +0200

josm (0.0.svn18700+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2023 16:51:53 +0200

josm (0.0.svn18678+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Mar 2023 07:09:07 +0100
