=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	@echo Downloading source JAR
 	wget https://josm.openstreetmap.de/download/josm-snapshot-${SVNREV}-sources.jar -O /tmp/josm-sources.jar
 	@echo Extracting sources from JAR
-	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/glassfish org/tukaani && cd $$OLDPWD
+	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox jakarta/json javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/eclipse org/glassfish org/tukaani && cd $$OLDPWD
 	grep "Generated By:JavaCC:" ${DESTDIR}/src/ch/poole -r | cut -d: -f1 | sort -u | xargs rm -v
 	cd ${DESTDIR}/resources && jar -xf /tmp/josm-sources.jar META-INF/resources/webjars/tag2link && cd $$OLDPWD
 	find ${DESTDIR}/resources/META-INF/resources/webjars/tag2link -type f -not -name index.json -delete
