## josm 0.0.svn18969+dfsg

=== debian/changelog ===
josm (0.0.svn18969+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Feb 2024 14:55:26 +0100

josm (0.0.svn18940+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.19.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Jan 2024 05:38:51 +0100

josm (0.0.svn18907+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Dec 2023 19:29:01 +0100

josm (0.0.svn18906+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright file.
  * Refresh patches.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Dec 2023 07:24:51 +0100

josm (0.0.svn18822+dfsg2-1~exp1) experimental; urgency=medium

  * New repacked upstream release.
  * Don't use jakarta.annotation, remove javax.annotation.concurrent sources.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Oct 2023 18:27:06 +0200

josm (0.0.svn18822+dfsg1-1~exp1) experimental; urgency=medium

  * New repacked upstream release.
    (closes: #1053542)
  * Bump minimum required jmapviewer version to 2.17.
  * Add patches to use jakarta.annotation instead of javax.annotation.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Oct 2023 08:58:08 +0200

josm (0.0.svn18822+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Remove generated files in clean target.
    (closes: #1045253)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Remove obsolete rules.
  * Update copyright file.
  * Remove empty directories.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Aug 2023 05:30:09 +0200
