=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.16),
+               jmapviewer (>= 2.19),
                libcommons-compress-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.16),
+         jmapviewer (>= 2.19),
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
          openjfx,
