=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,6 @@
 
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d- -f1)
 
-IMGSTYLES_DIR := $(CURDIR)/debian/josm/usr/share/josm/images/styles
-
-# Docs are already included in the jar file and can be accessed from within josm.
-#DEB_INSTALL_DOCS_ALL :=
-
 %:
 	dh $@
 
@@ -35,9 +30,7 @@
 
 	mv ca@valencia.po i18n/po/
 
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	install -m 644 $(CURDIR)/dist/josm-custom.jar $(CURDIR)/debian/josm/usr/share/josm/josm-${DEB_UPSTREAM_VERSION}.jar
 	dh_link usr/share/josm/josm-${DEB_UPSTREAM_VERSION}.jar usr/share/josm/josm.jar
 
@@ -60,16 +53,16 @@
 	install -d $(CURDIR)/debian/josm/usr/share/mime/packages
 	install -m 644 $(CURDIR)/native/linux/tested/usr/share/mime/packages/josm.xml $(CURDIR)/debian/josm/usr/share/mime/packages
 
-override_dh_install:
-	dh_install
-
+execute_after_dh_install:
 	# remove *.lang files, since we ship them in josm-l10n
 	rm -rf $(CURDIR)/debian/josm/usr/share/josm/data/*.lang
+
 	# remove executable bit
 	chmod a-x $(CURDIR)/debian/josm/usr/share/josm/data/defaultpresets.xml
-	# remove empty directory
-	[ -z "$(ls ${IMGSTYLES_DIR} 2> /dev/null)" ] && rm -rf ${IMGSTYLES_DIR}
-	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/josm/usr/share/josm/data/security/
+
+	# Remove empty directories
+	find $(CURDIR)/debian/josm/usr/share/josm/data -type d -empty -delete
+
 	# check font in SVG files
 	sh $(CURDIR)/debian/images-check.sh
 
@@ -83,8 +76,11 @@
 	@echo Downloading source JAR
 	wget https://josm.openstreetmap.de/download/josm-snapshot-${SVNREV}-sources.jar -O /tmp/josm-sources.jar
 	@echo Extracting sources from JAR
-	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox jakarta/json javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/eclipse org/glassfish org/tukaani && cd $$OLDPWD
-	grep "Generated By:JavaCC:" ${DESTDIR}/src/ch/poole -r | cut -d: -f1 | sort -u | xargs rm -v
+	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox jakarta/annotation jakarta/json javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/eclipse org/glassfish org/tukaani && cd $$OLDPWD
+	rm -rf ${DESTDIR}/src/javax/annotation/concurrent
+	for i in `grep "Generated By:JavaCC:" ${DESTDIR}/src/ch/poole -r | cut -d: -f1 | sort -u`; do \
+		rm -v "$$i"; \
+	done
 	cd ${DESTDIR}/resources && jar -xf /tmp/josm-sources.jar META-INF/resources/webjars/tag2link && cd $$OLDPWD
 	find ${DESTDIR}/resources/META-INF/resources/webjars/tag2link -type f -not -name index.json -delete
 	@echo Downloading xmpcore source JAR
