## josm 0.0.svn19096+dfsg

=== debian/changelog ===
josm (0.0.svn19096+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop commons-io changes, upstream stopped using it.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jun 2024 15:30:06 +0200

josm (0.0.svn19067+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright file.
  * Refresh patches.
  * Add libcommons-io-java to (build) dependencies and classpath.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 May 2024 15:52:18 +0200

josm (0.0.svn19039+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop Java 8 & 11 patches, applied upstream.
  * Update (build) dependencies for java11-sdk & java11-runtime.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Apr 2024 05:32:30 +0200

josm (0.0.svn19017+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright file.
  * Drop validator.patch, included upstream. Add patch to require JRE >= 11.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Mar 2024 16:43:41 +0100

josm (0.0.svn18969+dfsg2-2) unstable; urgency=medium

  * Add upstream patch to fix dead lock when downloading Bing imagery.
    (closes: #1065678)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Mar 2024 21:54:49 +0100

josm (0.0.svn18969+dfsg2-1) unstable; urgency=medium

  * Update annotions sources to 24.0.1 for OpeningHoursParser 0.28.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Mar 2024 15:43:11 +0100
