=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               default-jdk (>= 2:1.9) | java9-sdk,
+               default-jdk (>= 2:1.11) | java11-sdk,
                ant,
                ant-contrib,
                gettext,
@@ -24,7 +24,7 @@
 
 Package: josm
 Architecture: all
-Depends: default-jre (>= 2:1.9) | java9-runtime,
+Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
          jmapviewer (>= 2.19),
          libcommons-compress-java,
