=== debian/rules ===
--- 
+++ 
@@ -88,7 +88,7 @@
 	@echo Extracting xmpcore sources from JAR
 	cd ${DESTDIR}/src && jar -xf /tmp/xmpcore-sources.jar com/adobe && cd $$OLDPWD
 	@echo Downloading annotations source JAR
-	wget https://repo1.maven.org/maven2/org/jetbrains/annotations/19.0.0/annotations-19.0.0-sources.jar -O /tmp/annotations-sources.jar
+	wget https://repo1.maven.org/maven2/org/jetbrains/annotations/24.0.1/annotations-24.0.1-sources.jar -O /tmp/annotations-sources.jar
 	@echo Extracting annotations sources from JAR
 	cd ${DESTDIR}/src && jar -xf /tmp/annotations-sources.jar org/jetbrains && cd $$OLDPWD
 	@echo Fetching revision metadata
