## josm 0.0.svn19128+dfsg

=== debian/changelog ===
josm (0.0.svn19128+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jul 2024 17:46:54 +0200
