## josm 0.0.svn19160+dfsg

=== debian/changelog ===
josm (0.0.svn19160+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump minimum required jmapviewer version to 2.20.
  * Update 00-build.patch to not build javax sources.
  * Don't extract javax & org.glassfish sources from sources JAR.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Aug 2024 07:09:25 +0200
