=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.19),
+               jmapviewer (>= 2.20),
                libcommons-compress-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
-         jmapviewer (>= 2.19),
+         jmapviewer (>= 2.20),
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
          openjfx,
