=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,7 @@
 	@echo Downloading source JAR
 	wget https://josm.openstreetmap.de/download/josm-snapshot-${SVNREV}-sources.jar -O /tmp/josm-sources.jar
 	@echo Extracting sources from JAR
-	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox jakarta/annotation jakarta/json javax/annotation javax/json oauth/signpost org/apache/commons/jcs org/eclipse org/glassfish org/tukaani && cd $$OLDPWD
-	rm -rf ${DESTDIR}/src/javax/annotation/concurrent
+	cd ${DESTDIR}/src && jar -xf /tmp/josm-sources.jar ch/poole com/drew com/google com/kitfox jakarta/annotation jakarta/json oauth/signpost org/apache/commons/jcs org/eclipse org/tukaani && cd $$OLDPWD
 	for i in `grep "Generated By:JavaCC:" ${DESTDIR}/src/ch/poole -r | cut -d: -f1 | sort -u`; do \
 		rm -v "$$i"; \
 	done
